Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api-dev.narrative.io/admin/contracts/active/{company_id} \ --header 'Authorization: Bearer <token>'
{ "contract": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "payable_company_id": 123, "payment_method": {}, "revision": 123, "revision_start": "2023-11-07T05:31:56Z", "updated_by": 123, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "internal_notes": "<string>", "revision_notes": "<string>", "revision_end": "2023-11-07T05:31:56Z" }, "rates": [ { "rate": { "unit_price": { "value": 123, "expressed_in": "cents", "currency": "USD" } }, "product": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "sku": "<string>", "sku_type": {}, "payable_company_id": 123, "name": "<string>", "unit": "<string>" }, "start_at": "2023-11-07T05:31:56Z", "end_at": "2023-11-07T05:31:56Z", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ] }
Return active contract with details for a company id.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Unique identifier for a company.
OK
Show child attributes
Was this page helpful?
Contact support